<template>
  <div class="md-layout-item auth">
    <md-menu :md-offset-y='17' md-align-trigger>
      <md-button md-menu-trigger v-lang.loginButton></md-button>
      <md-menu-content>
        <div>
          <a href="" @click.prevent="signInAsTeacher" v-lang.teacher></a>
          <a href="" @click.prevent="signInAsStudent" v-lang.student></a>
        </div>
      </md-menu-content>
    </md-menu>
    <md-button @click.prevent="signUp"><span v-lang.signupButton /></md-button>
  </div>
</template>

<script>
export default {
  name: 'Auth',
  methods: {
    signInAsTeacher () {
      this.$router.push('/signInTeacher');
    },
    signInAsStudent () {
      this.$router.push('/signInStudent');
    },
    signUp () {
      this.$router.push('/signUp');
    }
  }
}
</script>

<style scoped lang="scss" rel="stylesheet/scss">
  @import "Auth";
</style>
